org.apache.sysds.runtime.controlprogram.federated

## Class FederatedWorkerHandler

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelInboundHandlerAdapter
    - - org.apache.sysds.runtime.controlprogram.federated.FederatedWorkerHandler

- All Implemented Interfaces:
    io.netty.channel.ChannelHandler, io.netty.channel.ChannelInboundHandler

      public class FederatedWorkerHandler
      extends io.netty.channel.ChannelInboundHandlerAdapter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

      `io.netty.channel.ChannelHandler.Sharable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FederatedWorkerHandler(ExecutionContextMap ecm)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `channelRead(io.netty.channel.ChannelHandlerContext ctx, Object msg)`
    `FederatedResponse` | `createResponse(Object msg)`
    `void` | `exceptionCaught(io.netty.channel.ChannelHandlerContext ctx, Throwable cause)`

    - ### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

      `channelActive, channelInactive, channelReadComplete, channelRegistered, channelUnregistered, channelWritabilityChanged, userEventTriggered`

    - ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

      `handlerAdded, handlerRemoved, isSharable`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.netty.channel.ChannelHandler

      `handlerAdded, handlerRemoved`

- - ### Constructor Detail

    - #### FederatedWorkerHandler

          public FederatedWorkerHandler(ExecutionContextMap ecm)

  - ### Method Detail

    - #### channelRead

          public void channelRead(io.netty.channel.ChannelHandlerContext ctx,
                                  Object msg)

      Specified by:
        `channelRead` in interface `io.netty.channel.ChannelInboundHandler`
      Overrides:
        `channelRead` in class `io.netty.channel.ChannelInboundHandlerAdapter`

    - #### createResponse

          public FederatedResponse createResponse(Object msg)

    - #### exceptionCaught

          public void exceptionCaught(io.netty.channel.ChannelHandlerContext ctx,
                                      Throwable cause)

      Specified by:
        `exceptionCaught` in interface `io.netty.channel.ChannelHandler`
      Specified by:
        `exceptionCaught` in interface `io.netty.channel.ChannelInboundHandler`
      Overrides:
        `exceptionCaught` in class `io.netty.channel.ChannelInboundHandlerAdapter`

Copyright © 2021 The Apache Software Foundation. All rights reserved.